## AgsSetPresets

AgsSetPresets — modify presets

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsSetPresets * | ags_set_presets_new ()

## Properties

guint | buffer-size | Read / Write
guint | format | Read / Write
guint | samplerate | Read / Write
GObject * | scope | Read / Write

## Object Hierarchy

        GObject
        ╰── AgsTask
            ╰── AgsSetPresets

## Includes

    #include <ags/audio/task/ags_set_presets.h>

## Description

The AgsSetPresets task modifies presets of scope. Note, the thread frequencies won't be modified.

## Functions

### ags_set_presets_new ()

    AgsSetPresets *
    ags_set_presets_new (GObject *scope,
                         guint buffer_size,
                         AgsSoundcardFormat format,
                         guint samplerate);

Create a new instance of AgsSetPresets.

#### Parameters

scope | the AgsSoundcard to reset |
buffer_size | the new buffer size |
format | the new format |
samplerate | the new samplerate |

#### Returns

the new AgsSetPresets

Since: 5.3.1

## Property Details

### The `“buffer-size”` property

      “buffer-size”              guint

The buffer size to apply to scope.

Owner: AgsSetPresets

Flags: Read / Write

Default value: 0

Since: 5.3.1

### The `“format”` property

      “format”                   guint

The format to apply to scope.

Owner: AgsSetPresets

Flags: Read / Write

Default value: 0

Since: 5.3.1

### The `“samplerate”` property

      “samplerate”               guint

The samplerate to apply to scope.

Owner: AgsSetPresets

Flags: Read / Write

Default value: 0

Since: 5.3.1

### The `“scope”` property

      “scope”                    GObject *

The assigned GObject as scope.

Owner: AgsSetPresets

Flags: Read / Write

Since: 5.3.1